﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GalaSoft.MvvmLight;

namespace MultiColumnXamComboBox
{
    class MainViewModel : ViewModelBase
    {

        private DataView _vgStatusCodes;
        private DataTable _baseTable;

        public DataTable BaseTable
        {
            get { return _baseTable; }
            set { Set(() => _baseTable, ref _baseTable, value); }
        }

        public DataView ValveGroupStatusCodes
        {
            get { return _vgStatusCodes; }
            set { Set(() => ValveGroupStatusCodes, ref _vgStatusCodes, value); }
        }

        public MainViewModel()
        {

            BaseTable = CreateBaseTable();
            ValveGroupStatusCodes = CreateStatusCodeTable().AsDataView();
        }

        private DataTable CreateStatusCodeTable()
        {
            var table = new DataTable();

            table.Columns.Add("StatusCodeID", typeof (int));
            table.Columns.Add("StatusCode", typeof (string));
            table.Columns.Add("Description", typeof(string));
            table.Columns.Add("Event", typeof(string));
            table.Columns.Add("Outg", typeof(string));

            table.Rows.Add(1, "F", "des 1", "Y", "Y");
            table.Rows.Add(1, "X", "des 2", "N", "Y");
            table.Rows.Add(1, "U", "des 3", "Y", "N");
            table.Rows.Add(1, "P", "des 3", "Y", "N");

            return table;
        }

        private DataTable CreateBaseTable()
        {
            var table = new DataTable();

            table.Columns.Add("Status", typeof(string));

            table.Rows.Add("F");
            table.Rows.Add("X");
            table.Rows.Add("X");
            table.Rows.Add("U");
            table.Rows.Add("P");

            return table;
        }

    }
}
